View Issue Details

IDProjectCategoryView StatusLast Update
0024325mantisbtcode cleanuppublic2018-04-29 19:21
ReporteratrolAssigned Toatrol 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target Version2.14.0Fixed in Version2.14.0 
Summary0024325: Code Cleanup
Description
  • Remove unused function filter_exists
  • PHPdoc fixes
  • Remove unused local variables
TagsNo tags attached.

Activities

Related Changesets

MantisBT: master 6107c8db

2018-04-18 14:58:00

atrol

Details Diff
PHPdoc fixes

Issue 0024325
Affected Issues
0024325
mod - core/classes/DbQuery.class.php Diff File
mod - core/classes/FilterConverter.class.php Diff File
mod - core/relationship_api.php Diff File

MantisBT: master 41543f15

2018-04-18 15:16:18

atrol

Details Diff
Remove unused local variables

Issue 0024325
Affected Issues
0024325
mod - core/classes/FilterConverter.class.php Diff File
mod - core/commands/IssueFileAddCommand.php Diff File
mod - core/commands/IssueFileGetCommand.php Diff File
mod - core/commands/IssueNoteAddCommand.php Diff File
mod - core/filter_api.php Diff File
mod - core/filter_form_api.php Diff File

MantisBT: master 65b8bff7

2018-04-18 17:09:36

atrol

Details Diff
Remove unused function filter_exists

No need to deprecate as the function didn't work.
There is a call of function filter_cache_row that doesn't exist.

Issue 0024325
Affected Issues
0024325
mod - core/filter_api.php Diff File

Issue History

Date Modified Username Field Change
2018-04-18 17:14 atrol New Issue
2018-04-18 17:14 atrol Status new => assigned
2018-04-18 17:14 atrol Assigned To => atrol
2018-04-18 17:17 atrol Note Added: 0059598
2018-04-20 03:19 atrol Description Updated View Revisions
2018-04-25 05:47 atrol Changeset attached => MantisBT master 6107c8db
2018-04-25 05:47 atrol Changeset attached => MantisBT master 41543f15
2018-04-25 05:47 atrol Changeset attached => MantisBT master 65b8bff7
2018-04-25 05:48 atrol Status assigned => resolved
2018-04-25 05:48 atrol Resolution open => fixed
2018-04-25 05:48 atrol Fixed in Version => 2.14.0
2018-04-29 19:21 vboctor Status resolved => closed